eclipse spring.boot 1.4.2中devtools无效:报错-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文
阿里云
为了无法计算的价值
打开APP
阿里云APP内打开

eclipse spring.boot 1.4.2中devtools无效:报错

<parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>1.4.2.RELEASE</version>
    </parent>
          <!-- spring-boot devtools 依赖 -->
         <dependency>
             <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-devtools</artifactId>
            <optional>true</optional> 
        </dependency>

        <plugin>
                  <groupId>org.springframework.boot</groupId>
                  <artifactId>spring-boot-maven-plugin</artifactId>
                  <configuration>
                      <fork>true</fork> 
                  </configuration>
              </plugin>

都配置好了,但是启动后,热部署无效

展开
收起
kun坤 2020-06-20 13:19:03 1004 0
1 条回答
写回答
取消 提交回答
  • kun坤

    启动参数是什么,不是简单的依赖了就完了

    ######回复 @阿里架构师 : 下载什么?maven依赖?那你等他下载完了再说啊,依赖都没完说什么######试过,一直在Downloading######springloader热部署需要,我换成devtools应该不需要######回复 @阿里架构师 : 你试一下这个启动方式,看有没有效果######什么启动参数?######

    楼主解决了吗?我也是配置了无效,但是检查发现包什么的都在

     

    ######回复 @菇凉windy : 1、<scope>true</scope>? 2、springboot版本多少?######已解决,<dependency> <groupId>org.springframework.boot</groupId> <artifactId>spring-boot-devtools</artifactId> <!-- <optional>true</optional> --> <scope>true</scope> </dependency>
    2020-06-20 13:19:09
    赞同 展开评论 打赏
问答分类:
问答标签:
相关产品:
问答排行榜
最热
最新
相关电子书
更多
使用Spring.Initializr定制工程脚手架
立即下载
陈曦:使用Spring.Initializr定制工程脚手架
立即下载
Java Spring Boot开发实战系列课程【第15讲】:Spring Boot 2.0 API与Spring REST Docs实战
立即下载